cmake_minimum_required(VERSION 2.8.11)

include (libubus)
include (libubox)
include (libubuscpp)

project (libubuscpp)

file(
	GLOB_RECURSE
	source_files
	../../src/UBusCall.cpp
	../../src/UBusObject.cpp
	../../src/UBusTimer.cpp
)

add_library(
        ubuscpp
        SHARED
        ${source_files}
)

target_link_libraries (ubuscpp 
	LINK_PUBLIC
	ubus
	)

target_include_directories (ubuscpp PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
